#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 27 May 2004                                                         *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/define=("HAVE_CONFIG_H=1")

BASE_OBJS =version.obj,fixed.obj,bit.obj,timer.obj,stream.obj,\
	frame.obj,synth.obj,decoder.obj,layer12.obj,layer3.obj,huffman.obj

all : libmad.exe
	@ write sys$output "all done"

libmad.exe : libmad.olb
	@ WRITE_ SYS$OUTPUT "  generating libmad.opt"
	@ library/extract=* libmad
	@ OPEN_/WRITE FILE  libmad.opt
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "! libmad.opt generated by DESCRIP.$(MMS_EXT)" 
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "IDENTIFICATION=""libmad"""
	@ WRITE_ FILE "GSMATCH=LEQUAL,0,15
	@ WRITE_ FILE "libmad.obj"
	@ CLOSE_ FILE
	@ $(MMS)$(MMSQUALIFIERS)/ignore=warning libmad_vms
	@ WRITE_ SYS$OUTPUT "  linking libmad.exe ..."
	@ LINK_/NODEB/SHARE=libmad.exe/MAP=libmad.map/FULL libmad.opt/opt,libmad_vms.opt/opt
	@ delete libmad.obj;*

libmad_vms :
	@ WRITE_ SYS$OUTPUT "  generating libmad.map ..."
	@ LINK_/NODEB/NOSHARE/NOEXE/MAP=libmad.map/FULL libmad.opt/OPT
	@ WRITE_ SYS$OUTPUT "  analyzing excel.map ..."
	@ @ANALYZE_MAP.COM libmad.map libmad_vms.opt

libmad.olb : $(BASE_OBJS)
	library/create libmad.olb $(BASE_OBJS)

version.obj : version.c config.h
fixed.obj : fixed.c config.h
bit.obj : bit.c config.h
timer.obj : timer.c config.h
stream.obj : stream.c config.h
frame.obj : frame.c config.h
synth.obj : synth.c config.h
	CC$(CFLAGS)/warn=(disable=PTRMISMATCH) synth.c
decoder.obj : decoder.c config.h
layer12.obj : layer12.c config.h
layer3.obj : layer3.c config.h
huffman.obj : huffman.c config.h

config.h : config.h_vms
	copy config.h_vms config.h
